## org.apache.poi.ss.formula.functions
Class Sumx2my2

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed2ArgFunction
          org.apache.poi.ss.formula.functions.XYNumericFunction
              org.apache.poi.ss.formula.functions.Sumx2my2

All Implemented Interfaces:
  Function, Function2Arg

    public final class Sumx2my2

extends XYNumericFunction

Implementation of Excel function SUMX2MY2()

Calculates the sum of differences of squares in two arrays of the same size.
Syntax:
SUMX2MY2(arrayX, arrayY)

result = Σi: 0..n(xi2-yi2)

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.ss.formula.functions.XYNumericFunction
`XYNumericFunction.Accumulator`

Constructor Summary
`Sumx2my2()`

Method Summary
`protected XYNumericFunction.Accumulator` `createAccumulator()` Constructs a new instance of the Accumulator used to calculated this function

Methods inherited from class org.apache.poi.ss.formula.functions.XYNumericFunction
`evaluate`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed2ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sumx2my2

    public Sumx2my2()

Method Detail

### createAccumulator

    protected XYNumericFunction.Accumulator createAccumulator()

  Description copied from class: `XYNumericFunction`
  Constructs a new instance of the Accumulator used to calculated this function

  Specified by:
    `createAccumulator` in class `XYNumericFunction`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.